# Dockerfile for creating a plugable debian for various troubleshooting-tasks


### Usage: 

###### 1. Clone git-repo: 

```
git clone https://forge.dmz.skyfritt.net/Symbiose/debian-armyknife
```
or (via Skyfritt-mirror): 
```
git clone https://forge.dmz.skyfritt.net/Skyfritt/debian-armyknife
```

###### 2. Build image (from inside repo-folder, typically /opt/debian-armyknife)

docker:
```
docker build -t debian-armyknife:custom .
```
podman:
```
docker build -t debian-armyknife:custom . --network=host
```

###### 3. Verify that the new image is avaiable: 
docker:
```
# docker images
REPOSITORY         TAG       IMAGE ID       CREATED        SIZE
debian-armyknife   custom    ba509e499dda   11 hours ago   321MB
```
podman:
```
# podman images
REPOSITORY                  TAG         IMAGE ID      CREATED        SIZE
localhost/debian-armyknife  custom      08c635e4b6fa  9 seconds ago  620 MB
```

###### 4. Run image: 
docker:
```
docker run -it debian-armyknife:custom bash
```
podman:
```
podman run -it debian-armyknife:custom bash
```

###### 5. Run and attach to specific network: 
docker:
```
docker run --network [NETWORK NAME] -it debian-armyknife:custom bash
```
podman:
```
podman run -it --net skypodnet0 debian-armyknife:custom bash
```

###### Start with docker compose or as a quadlet with systemd: 
docker:
```
missing
```
podman:
```
missing
```